<html xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
        xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
        xmlns:pm="http://primefaces.org/mobile">
<f:view renderKitId="PRIMEFACES_MOBILE" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<h:head>
        <title>Sistemas Citricos</title> 
    <style type="text/css"> 
        .ui-scrollpanel p {
            width: 500px;
            font-size: 16px;
        }
    </style>
    <script>
        function back()
        {
            PrimeFaces.Mobile.navigate('#login',
            {
                    transition:'turn'
            });  
        }
    </script>
</h:head>
<h:body>
    <pm:page id="registroEditar">
        <pm:header>
            Registro generado en Bascula
        </pm:header>
        <pm:content>
            <p:panel id="regEdicion" header="Edición LOGIN:#{sessionMB.usuariomovil.nombre} #{sessionMB.usuariomovil.apellidos} [#{sessionMB.usuariomovil.login}]"> 
                <h:form id="editForm"> 
                    <p:growl id="growl" showDetail="true" sticky="true" /> 
                    <h:panelGrid columns="3" >
                        
                        <p:outputLabel for="id" value="Id: "  style="font-weight: bold"/>
                        <p:inputText id="id" value="#{folioMB.activoSeleccionado.id}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="numero1" value="Folio: "  style="font-weight: bold"/>
                        <p:inputText id="numero1" value="#{folioMB.activoSeleccionado.folio}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="fecha" value="Fecha: "  style="font-weight: bold"/>
                        <p:inputText id="fecha" value="#{folioMB.activoSeleccionado.fecha}" style="width: 350px" readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="productor" value="Productor: "  style="font-weight: bold"/>
                        <p:selectOneMenu id="productor"  value="#{folioMB.activoSeleccionado.id_productor}" disabled="true">
                           <f:selectItem itemLabel="Selecciona una opción"  />
                           <f:selectItems value="#{folioMB.productores}" var="registrop" itemLabel="#{registrop.nombre}" 
                                          itemValue="#{registrop.id}"/>
                        </p:selectOneMenu> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="bruto" value="Peso Bruto :"  style="font-weight: bold"/>
                        <p:inputNumber id="bruto" value="#{folioMB.activoSeleccionado.peso_bruto}" readonly="true"/> 
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="tara" value="Peso Tara :"  style="font-weight: bold"/>
                        <p:inputNumber id="tara" value="#{folioMB.activoSeleccionado.peso_tara}"   readonly="true"/>
                        <p:outputLabel value="* Campo requerido"/>
                        
                        <p:outputLabel for="neto" value="Peso Neto :"  style="font-weight: bold"/>
                        <p:inputNumber id="neto" value="#{folioMB.activoSeleccionado.peso_neto}"  readonly="true"/> 
                        <p:outputLabel value=""/>
                        
                        <p:outputLabel for="id_" value=""/>
                        <p:inputText id="id_" value="#{folioMB.activoSeleccionado.id}" type="hidden" /> 
                        <p:outputLabel value=""/>
                    </h:panelGrid>
                    <p:commandButton value="Cambiar estatus e imprimir" ajax="false" icon="ui-icon-contact"
                                    action="#{folioMB.editarActivo(
                                    folioMB.activoSeleccionado.peso_bruto,
                                    folioMB.activoSeleccionado.peso_tara,
                                    folioMB.activoSeleccionado.id_productor,
                                    folioMB.activoSeleccionado.id,
                                    1,sessionMB.usuariomovil.id)}" update=":registroEditar:regEdicion"/>
                    <p:commandButton value="Regresar"  ajax="false" icon="ui-icon-contact"  />
                </h:form>
            </p:panel>
        </pm:content> 
    </pm:page>
</h:body>
</html>